Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: SERVER 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Team:
      Systems Engineering
    • Sub-team:
    • Story Points:
      1
    • Sprint:
      Server 2017-03-22
    • Release Notes:
      Not Needed
    • QA Risk Assessment:
      Needs Assessment

      Description

      Currently, the master branch of puppet server has a fairly outdated version of puppet in its submodule. We should bump to whatever passing of the master branch of puppet is, to ensure that nothing in Puppet 5 so far is broken under puppet server - in particular, the symbol monkeypatch issue (PUP-5973).

      We should also bump hiera to a new version, if we can. We probably can't bump facter any further do to cfacter, but we should check.

        Attachments

          Activity

            jsd-sla-details-panel

              People

              • Assignee:
                ruth Ruth Linehan
                Reporter:
                ruth Ruth Linehan
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: